Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Rétrospective de l'adoption du nouveau logo de Fedora

#1 05/04/2021 12:20:36

pierrotlalune
Membre
Lieu : Estal (46)
Inscription : 31/10/2011
Messages : 790

[Résolu] vapoursynth-libs ignoré !

Bonjour,
depuis quelques jours, un paquet est ignoré:

# dnf upgrade
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:05:08 le lun. 05 avril 2021 10:53:37.
Dépendances résolues.

 Problème: package mpv-0.33.0-1.fc33.x86_64 requires libvapoursynth.so.48()(64bit), but none of the providers can be installed
  - cannot install both vapoursynth-libs-51-1.fc33.x86_64 and vapoursynth-libs-48-9.fc33.x86_64
  - cannot install both vapoursynth-libs-48-9.fc33.x86_64 and vapoursynth-libs-51-1.fc33.x86_64
  - cannot install the best update candidate for package vapoursynth-libs-48-9.fc33.x86_64
  - cannot install the best update candidate for package mpv-0.33.0-1.fc33.x86_64
================================================================================
 Paquet                  Architecture  Version             Dépôt          Taille
================================================================================
Ignorer les paquets en conflit :
(ajouter « --best --allowerasing » à la ligne de commande pour forcer leur mise à niveau):
 vapoursynth-libs        x86_64        51-1.fc33           updates        450 k

Résumé de la transaction
================================================================================
Ignorer  1 Paquet

Rien à faire.
Terminé !
# 

En suivant la consigne:

# dnf upgrade --best --allowerasing
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:12:34 le lun. 05 avril 2021 10:53:37.
Erreur : 
 Problème: cannot install the best update candidate for package mpv-0.33.0-1.fc33.x86_64
  - problem with installed package mpv-0.33.0-1.fc33.x86_64
  - package mpv-0.33.0-1.fc33.x86_64 requires libvapoursynth-script.so.0()(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package vapoursynth-libs-48-9.fc33.x86_64
  - package mpv-0.33.0-1.fc33.x86_64 requires libvapoursynth.so.48()(64bit), but none of the providers can be installed
  - cannot install both vapoursynth-libs-51-1.fc33.x86_64 and vapoursynth-libs-48-9.fc33.x86_64
  - cannot install both vapoursynth-libs-48-9.fc33.x86_64 and vapoursynth-libs-51-1.fc33.x86_64
(essayez d’ajouter « --skip-broken » pour ignorer les paquets non installables)
# 

avec « --skip-broken »:

# dnf upgrade --best --allowerasing --skip-broken
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:13:16 le lun. 05 avril 2021 10:53:37.
Erreur : 
 Problème: cannot install the best update candidate for package mpv-0.33.0-1.fc33.x86_64
  - problem with installed package mpv-0.33.0-1.fc33.x86_64
  - package mpv-0.33.0-1.fc33.x86_64 requires libvapoursynth-script.so.0()(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package vapoursynth-libs-48-9.fc33.x86_64
  - package mpv-0.33.0-1.fc33.x86_64 requires libvapoursynth.so.48()(64bit), but none of the providers can be installed
  - cannot install both vapoursynth-libs-51-1.fc33.x86_64 and vapoursynth-libs-48-9.fc33.x86_64
  - cannot install both vapoursynth-libs-48-9.fc33.x86_64 and vapoursynth-libs-51-1.fc33.x86_64
[root@tales ~]# dnf upgrade --skip-broken
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:19:11 le lun. 05 avril 2021 10:53:37.
Dépendances résolues.

 Problème: package mpv-0.33.0-1.fc33.x86_64 requires libvapoursynth.so.48()(64bit), but none of the providers can be installed
  - cannot install both vapoursynth-libs-51-1.fc33.x86_64 and vapoursynth-libs-48-9.fc33.x86_64
  - cannot install both vapoursynth-libs-48-9.fc33.x86_64 and vapoursynth-libs-51-1.fc33.x86_64
  - cannot install the best update candidate for package vapoursynth-libs-48-9.fc33.x86_64
  - cannot install the best update candidate for package mpv-0.33.0-1.fc33.x86_64
================================================================================
 Paquet                  Architecture  Version             Dépôt          Taille
================================================================================
Ignorer les paquets en conflit :
(ajouter « --best --allowerasing » à la ligne de commande pour forcer leur mise à niveau):
 vapoursynth-libs        x86_64        51-1.fc33           updates        450 k

Résumé de la transaction
================================================================================
Ignorer  1 Paquet

Rien à faire.
Terminé !
[root@tales ~]# 

J'ai essayé de retirer l’ancienne version de "vapoursynth-libs":

# dnf remove vapoursynth-libs-48-9.fc33.x86_64
Dépendances résolues.
================================================================================
 Paquet           Architecture
                         Version               Dépôt                      Taille
================================================================================
Suppression:
 vapoursynth-libs x86_64 48-9.fc33             @fedora                    1.3 M
Supprimer des paquets dépendants:
 HandBrake        x86_64 1.3.3-4.fc33          @rpmfusion-free            1.3 M
 HandBrake-gui    x86_64 1.3.3-4.fc33          @rpmfusion-free             12 M
 ffmpeg           x86_64 4.3.2-1.fc33          @rpmfusion-free-updates    1.9 M
 gstreamer1-libav x86_64 1.18.2-1.fc33         @rpmfusion-free-updates    867 k
 k3b-extras-freeworld
                  x86_64 1:18.12.3-2.fc31      @rpmfusion-free             44 k
 libavdevice      x86_64 4.3.2-1.fc33          @rpmfusion-free-updates    168 k
 megasync         x86_64 4.4.0.0-1.fc33        @rpmfusion-nonfree-updates  14 M
 minidlna         x86_64 1.3.0-4.fc33          @rpmfusion-free-updates    414 k
 mplayer          x86_64 1.4-11.fc33           @rpmfusion-free            3.7 M
 mplayer-gui      x86_64 1.4-11.fc33           @rpmfusion-free            4.5 M
 mpv              x86_64 0.33.0-1.fc33         @rpmfusion-free-updates    3.9 M
 qt5-qtwebengine-freeworld
                  x86_64 5.15.2-2.fc33         @rpmfusion-free-updates    126 M
 vlc              x86_64 1:3.0.12-1.fc33       @rpmfusion-free-updates    4.4 M
Suppression des dépendances inutilisées:
 compat-lua-libs  x86_64 5.1.5-17.fc33         @fedora                    503 k
 ffmpeg-libs      x86_64 4.3.2-1.fc33          @rpmfusion-free-updates     22 M
 game-music-emu   x86_64 0.6.3-1.fc33          @fedora                    3.2 M
 intel-mediasdk   x86_64 20.3.1-1.fc33         @updates                    22 M
 libbs2b          x86_64 3.1.0-25.fc33         @fedora                     65 k
 libcaca          x86_64 0.99-0.51.beta19.fc33 @fedora                    870 k
 libcddb          x86_64 1.3.2-33.fc33         @fedora                    207 k
 libchromaprint   x86_64 1.5.0-1.fc33          @fedora                     68 k
 libdvbpsi        x86_64 1.3.3-3.fc33          @fedora                    280 k
 libebml          x86_64 1.4.2-1.fc33          @updates                   241 k
 libkate          x86_64 0.4.1-21.fc33         @fedora                    127 k
 libmatroska      x86_64 1.6.2-1.fc33          @fedora                    746 k
 libmodplug       x86_64 1:0.8.9.0-11.fc33     @fedora                    343 k
 libmysofa        x86_64 1.2-4.fc33            @updates                    72 k
 libplacebo       x86_64 2.72.2-1.fc33         @updates                   2.9 M
 libshaderc       x86_64 2020.4-1.fc33         @updates                   2.8 M
 libspatialaudio  x86_64 3.1-1.20200406gitd926a2e.fc33
                                               @fedora                    1.3 M
 libtiger         x86_64 0.3.4-20.fc33         @fedora                     89 k
 libubsan         x86_64 10.2.1-9.fc33         @updates                   366 k
 live555          x86_64 2020.07.31-2.fc33     @rpmfusion-free            1.3 M
 luajit           x86_64 2.1.0-0.18beta3.fc33  @fedora                    1.3 M
 mplayer-common   x86_64 1.4-11.fc33           @rpmfusion-free            1.3 M
 protobuf-lite    x86_64 3.12.4-1.fc33         @fedora                    743 k
 rubberband       x86_64 1.9.1-1.fc33          @updates                   847 k
 uchardet         x86_64 0.0.6-11.fc33         @fedora                    226 k
 vlc-core         x86_64 1:3.0.12-1.fc33       @rpmfusion-free-updates     50 M
 zimg             x86_64 3.0.1-2.fc33          @updates                   864 k
 zvbi             x86_64 0.2.35-11.fc33        @fedora                    1.2 M

Résumé de la transaction
================================================================================
Supprimer  42 Paquets

Espace libéré : 290 M
Voulez-vous continuer ? [o/N] : n
Opération avortée.
[root@tales ~]# 

Mais vu la liste des paquets à supprimés, je n'ai pas pris le risque.
Bien que ce conflit ne semble pas provoquer de dysfonctionnement, j'aimerais bien le résoudre. Une idée ? Merci.
a+
pll

Dernière modification par pierrotlalune (05/04/2021 12:21:26)

Hors ligne

#2 05/04/2021 17:04:53

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 123

Re : [Résolu] vapoursynth-libs ignoré !

c'est quoi mpv ?


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#3 05/04/2021 18:13:35

Nednet
Membre
Lieu : aux alentours de Toulouse
Inscription : 07/12/2015
Messages : 869

Re : [Résolu] vapoursynth-libs ignoré !

Un fork de mplayer2 et MPlayer


Il n'y a aucune honte à ne pas savoir
mais beaucoup à ne pas apprendre

Hors ligne

#4 05/04/2021 18:22:59

pierrotlalune
Membre
Lieu : Estal (46)
Inscription : 31/10/2011
Messages : 790

Re : [Résolu] vapoursynth-libs ignoré !

nouvo09 a écrit :

c'est quoi mpv ?

Salut nouvo09,
c'est mon lecteur de vidéo préféré.
a+
pll

Hors ligne

#5 05/04/2021 19:32:03

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 123

Re : [Résolu] vapoursynth-libs ignoré !

Tes amours semblent exigeantes. Sans doute faut-il attendre quelque peu.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#6 05/04/2021 20:32:57

pierrotlalune
Membre
Lieu : Estal (46)
Inscription : 31/10/2011
Messages : 790

Re : [Résolu] vapoursynth-libs ignoré !

nouvo09 a écrit :

Tes amours semblent exigeantes. Sans doute faut-il attendre quelque peu.

Sans doute... Wait and see...

Hors ligne

#7 06/04/2021 21:05:01

pierrotlalune
Membre
Lieu : Estal (46)
Inscription : 31/10/2011
Messages : 790

Re : [Résolu] vapoursynth-libs ignoré !

Bonsoir à tous:-),
Voici:

# dnf upgrade -y
**************************************************************************
Mis à niveau:
  ffmpeg-4.3.2-2.fc33.x86_64            ffmpeg-libs-4.3.2-2.fc33.x86_64        
  libavdevice-4.3.2-2.fc33.x86_64       libmediainfo-21.03-1.fc33.x86_64       
  libzen-0.4.39-1.fc33.x86_64           mediainfo-21.03-1.fc33.x86_64          
  mpv-0.33.0-5.fc33.x86_64              pluma-1.24.2-1.fc33.x86_64             
  pluma-data-1.24.2-1.fc33.noarch       vapoursynth-libs-51-1.fc33.x86_64      

Terminé !
#

Et voilà, avec la mise à jour d’aujourd’hui, "vapoursynth-libs" est pris en compte.
Bonne soirée.
pll

Hors ligne

Pied de page des forums